Subject: Re: [net-next, v2 1/2] psp: Support for transmit on logical device when the underlying transport device supports PSP.

From: Daniel Zahka <[email-masked]>
Date: Thu, 26 Feb 2026 09:11:47 -0500

On 2/26/26 6:46 AM, Kiran Kella wrote:
> On Wed, Feb 25, 2026 at 2:28 AM Daniel Zahka <[email-masked]> wrote:
>> The lack of support for netns is a bit of a gap for this feature. It may
>> make sense to see if what was posted in
>> https://lore.kernel.org/netdev/[email-masked]/
>> is sufficient for your use case, as it handles cases where upper devices
>> are in a different netns from psd->main_netdev.
> Thanks. Went through the changes in
> https://lore.kernel.org/netdev/[email-masked]/
> It is sufficient for my use case too, although it specifically
> addresses the cross-netns virtual devices use case.
> But the same net-ns stacked devices like VLANs can be handled with
> this patch implicitly, without user intervention through dev-assoc.
> I think both approaches can co-exist without conflict.

I agree they can co-exist, and automatically propagating psp devices is 
useful. I was just pointing out that support for upper devices will 
eventually need to deal with netns, because when I looked at this patch 
things like ipvlan and macvlan came to mind.